Summary:	A tool for managing Anthy's dictionary
Name:		kasumi
Version:	2.5
Release:	%mkrel 9
Group:		System/Internationalization
License:	GPLv2+
URL:		https://osdn.net/projects/kasumi/
Source0:	https://acc.dl.osdn.jp/kasumi/41436/%name-%version.tar.gz
Patch0:		kasumi-2.3-fix-desktop-file.patch
Patch1:		kasumi-2.5-mga-external-gettext.patch
Requires:	anthy >= 6300
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(anthy)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel

%description
A tool for managing Anthy's Japanese dictionary.

%prep
%setup -q
%autopatch -p0

# make autoreconf more happy
sed -i -e 's,\(AM_GNU_GETTEXT.*\),\1\nAM_GNU_GETTEXT_REQUIRE_VERSION(\[0.19.8\]),' configure.in

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

# icons
mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{16x16,32x32}/apps
cp %{buildroot}/%{_datadir}/pixmaps/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{buildroot}/%{_datadir}/pixmaps/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

# menu
desktop-file-install	--vendor="" \
			--dir %{buildroot}%{_datadir}/applications \
			--remove-category="Applications" \
			%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_datadir}/applications/kasumi.desktop
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/kasumi.1*




%changelog
* Fri Mar 27 2020 umeabot <umeabot> 2.5-9.mga8
+ Revision: 1561064
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.5-8.mga7
+ Revision: 1298434
- Mageia 7 Mass Rebuild

* Wed Jul 18 2018 wally <wally> 2.5-7.mga7
+ Revision: 1244220
- fix build on aarch64
- use new make macros

* Mon Feb 01 2016 umeabot <umeabot> 2.5-6.mga6
+ Revision: 930009
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5-5.mga5
+ Revision: 745211
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5-4.mga5
+ Revision: 680933
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5-3.mga4
+ Revision: 506538
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.5-2.mga3
+ Revision: 355822
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 08 2011 dmorgan <dmorgan> 2.5-1.mga1
+ Revision: 96137
- imported package kasumi

